@echo off
REM *******************************************************************
REM                                                                          
REM  Licensed Materials - Property of IBM
REM  
REM  5724-I81 5725-B65
REM  
REM  (c) Copyright IBM Corp. 2007, 2010
REM  
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with
REM  IBM Corp.
REM  
REM  Status: Version 8 Release 0
REM                                       
REM                                                                  
REM  Purpose: set C++ library for samples to use.                    
REM  Called by higher level command files, not designed to be invoked
REM  directly.                                                        
REM  Arguments: set_lib calling_program_name compiler_version        
REM *******************************************************************

if "%2" == "2008" GOTO MS9
if "%2" == "2010" GOTO MS10
if "%2" == "" GOTO NOPARM
GOTO INVALIDPARM

:MS9
set CTG_API_LIBRARY=cclcpw32.lib
GOTO END

:MS10
set CTG_API_LIBRARY=cclcpw32vc10.lib
GOTO END

:NOPARM
echo No parameter has been specified
set CTG_API_LIBRARY=
GOTO USAGE

:INVALIDPARM
echo An invalid parameter has been specified
set CTG_API_LIBRARY=
GOTO USAGE

:USAGE
echo Usage syntax: %1% ^<2008^|2010^>
echo You must specify which compiler is being used
echo 2008 - Using Microsoft Visual C++ 2008
echo 2010 - Using Microsoft Visual C++ 2010
GOTO END

:END
